package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCouponActionLog;
import com.iformall.domain.vo.WxCouponActionLogVo;

import java.util.List;
import java.util.Map;

public interface WxCouponActionLogService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxCouponActionLog> listAsPage(WxCouponActionLog record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCouponActionLog getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCouponActionLog record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    void addOne(String tenantId,Long couponId,Long coupon_order_id,int channelType,Long channelId);


    int getCountByChannelId(String tenantId, int channelType, Long channelId);

    /**
     * 查找注券记录
     * @param params
     * @param pageNum
     * @param pageSize
     * @return
     */
    PageInfo<WxCouponActionLogVo> getActionLog(Map<String,Object> params, Integer pageNum, Integer pageSize) ;
	
}
